/* ===================================
define frames
=================================== */
#all_frame {
	left: 0%;
	top: 0%;
	height: 420svh;
	width: 100%;
	display: flex;
  flex-direction: column;
	/* border: solid white 5px; */
}

#frame1_cls_description {
  justify-content: unset;
  width: 100%;
  height: 100svh;
	/* left: 0%; */
	/* top: 0%; */
	/* border: solid white 1px; */
}

#frame2_cls_feature {
  /* justify-content: unset; */
  height: 100svh;
  width: 100%;
	/* border: solid white 1px; */
}

#frame3_cls_works {
  flex-direction: column;
  justify-content: unset;
  align-items: center;
  height: 120svh;
  width: 100%;
	/* border: solid white 1px; */
}

#footer_page {
	/* left: 500%; */
	height: 100svh;
	/* top: 0%; */
}

/* ===================================
menu logo
=================================== */
#menu_btn_logo {
  opacity: 0%;
}

/* ===================================
frame1_cls_description
=================================== */

#cls_description_img {
  display: none;
  /* transform: translate(0%, -50%); */
  position: absolute;
  left: 50%;
	top: 12svh;
	transform: translate(-50%, 0%);
	width: min(300px, 75dvw);
	height: 40svh;
  object-fit: cover;
  object-position: 0% 50%;
  user-select: none;
  /* border: 1px white solid; */
}

#cls_description_img2 {
  /* transform: translate(0%, -50%); */
  width: 100%;
  height: 100svh;
  object-fit: cover;
  object-position: 100% 50%;
  user-select: none;
  opacity: 60%;
  /* border: 1px white solid; */
}

#cls_description_text_block {
  position: absolute;
  left: 50%;
	top: 38svh;
  transform: translate(-50%, 0%);
  width: 80%;
  color: #FEF1ED;
  align-items: center;
  /* margin-left: 5vw; */
  /* border: 1px white solid;  */
}

#cls_description_title {
  text-align: center;
  padding-bottom: 4%;
  margin-bottom: 4%;
  /* border-bottom: 1px #FEF1ED solid;  */
  color: white;
}

#cls_description_subtitle {
  text-align: center;
  color: white;
}

#cls_description_subtitle_text1 {
  display: none;
}

/* ===================================
frame2_cls_feature
=================================== */

#cls_feature_img {
  /* transform: translate(0%, -50%); */
  position: absolute;
  left: 50%;
	top: 12svh;
	transform: translate(-50%, 0%);
	width: min(400px, 85dvw);
	height: 30svh;
  object-fit: cover;
  object-position: 50% 0%;
  user-select: none;
  cursor: pointer;
  transition: all 0.5s;
}

#cls_feature_img:hover {
  transform: translate(-50%, 0%) scale(1.05);
}


#cls_feature_text_block {
  position: absolute;
  left: 50%;
	top: 50svh;
  width: 85%;
  height: 43svh;
	transform: translate(-50%, 0%);
  color: #FEF1ED;
  align-items: center;

  /* margin-left: 5vw; */
  /* border: 1px white solid;  */
}

#cls_feature_title {
  width: 100%;
  text-align: center;
  align-items: center;
  justify-content: center;
  color: white;
  cursor: pointer;
  /* border: 1px white solid; */
  transition: all 0.5s;
}

#cls_feature_title_text1 {
  display: none;
}

#cls_feature_title:hover {
  transform: scale(1.05);
}

#cls_feature_title .arrow {
  margin-left: 1%;
}

#cls_feature_subtitle {
  width: 100%;
  height: auto;
  margin-top: 4%;
  flex-direction: column;
  color: white;
  overflow-x: hidden;
  white-space: normal;
  padding-top: 2%;
  border-top: min(1px, 0.25vw) #FEF1ED solid;
}

#cls_feature_subtitle p {
  font-size: 1em;
}

.feature_popup_page {
	/* position: fixed; */
  position: absolute;
	z-index: -999;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	overflow: none;
	background-color: rgba(0, 0, 0, 0.4);
	display: flex;
	align-items: center;
	justify-content: center;
	opacity: 0%;
	transition: opacity 1s;
}

.feature_popup_content {
	display: flex;
	align-items: center;
	width: 85%;
	height: 80%;
	justify-content: center;
	/* border: solid black 1px; */
}

.feature_popup_content .image {
	height: auto;
	width: 100%;
}

.feature_popup_content .popupclosebtn {
	z-index: 1;
	position: absolute;
	top: 10svh;
	right: 5%;
	height: 2em;
	width: auto;
	cursor: pointer;
	/* border: 1px white solid; */
}

/* ===================================
frame3_cls_works
=================================== */

#cls_works_content_block {
  height: 90svh;
  width: 80%;
  /* border: 1px white solid; */
  align-items: center;
  justify-content: start;
}

#cls_works_cate_block {
  margin-top: 12svh;
  width: 100%;
  flex-direction: unset;
  flex-wrap: wrap;
  justify-content: start;
  color: #FEF1ED;
  /* border: 1px white solid;  */
  /* margin-top: 8%;
  margin-left: 5%;
  margin-bottom: 2%; */
}

.cls_works_cate_button {
  transition: all 0.5s;
  cursor: pointer;
  margin: 1% 5% 1% 5%;
  /* border: 1px white solid;  */
}

.cls_works_cate_button:hover {
  transform: scale(1.1);
}

#cls_works_cate_all {
  text-decoration: underline;
}

#cls_works_block {
  margin-top: 10%;
  /* position: absolute; */
  width: 100%;
  height: 150svh;
  /* transform: translate(-50%, -50%); */
  /* border: 1px white solid;  */
  display: grid;
  grid-auto-flow: row;
  gap: 1em;
  grid-template-columns: 15em;
  grid-template-rows: repeat(auto-fill, 15em);
  flex-direction: unset;
  /* flex-wrap: wrap; */
  justify-content: center;
  align-items: unset;
  overflow-x: hidden;
  
}

.cls_work_card {
  position: relative;
  height: 15em;
  aspect-ratio: 1 / 1;
  transition: transform 0.5s;
  cursor: pointer;
  /* margin: 2%; */
  /* border: 1px white solid; */
}

.cls_work_card_l {
  position: relative;
  height: 11em;
  aspect-ratio: 1 / 1;
  grid-row: span 2;
  grid-column: span 2;
  /* margin: 2%; */
  /* border: 1px white solid; */
}

.cls_work_card h6 {
  font-size: 1.2em;
}

.cls_work_card p {
  font-size: 0.9em;
}


:is(.cls_work_card, .cls_work_card_l) .image {
  position: absolute;
  left: 0vw;
  top: 0vh;
  transform: translate(0%, 0%);
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: 50% 50%;
  user-select: none;
  z-index: 1;
  opacity: 100%;
}

:is(.cls_work_card, .cls_work_card_l) .textbox {
  position: absolute;
  left: 0vw;
  top: 0vh;
  transform: translate(0%, 0%);
  width: 100%;
  height: 100%;
  transform: translate(0%, 0%);
  background-color: #1A3E63;
  z-index: 2;
  opacity: 0%;

  display: flex;
	flex-direction: column;
	align-items: unset;
	justify-content: left;
  /* overflow-y: scroll; */

}

:is(.cls_work_card, .cls_work_card_l) .textbox .title {
  /* margin-left: 5%; */
  padding: 5% 5% 0% 5%;
  color: white;
  /* border: 1px white solid; */
}

:is(.cls_work_card, .cls_work_card_l) .textbox .subtitle {
  /* margin-left: 5%; */
  padding: 5% 5% 0% 5%;
  color: white;
  white-space: unset;
}

:is(.cls_work_card, .cls_work_card_l) .link_block {
  padding: 5% 5% 0% 5%;
  display: flex;
	/* flex-direction: column; */
	align-items: center;
	justify-content: center;
  /* border: 1px white solid; */
  color: #FEF1ED;
  margin-top: auto;
  margin-bottom: 8%;
}


.link_block .block {
  flex-direction: unset;
  align-items: center;
  /* border: 1px white solid; */
  margin-left: unset;
  margin-right: 8%;
  cursor: pointer;
  white-space: nowrap;
  transition: transform 0.5s;
}

.link_block .block:hover {
  transform: scale(1.1);
}


.link_block .block .arrow {
  height: 0.8em;
}

/* .cls_solo {
  position: absolute;
  visibility: hidden;
} */


.bg_image {
	z-index: -1000;
	position: absolute;
	left: 0%;
	top: 0%;
	/* transform: translate(-3%, 0%); */
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: 100% 50%;
	user-select: none;
	filter: contrast(1.2) grayscale(0.4);
	opacity: 80%;
}

#bg_image {
  position: absolute;
	left: 20%;
	top: 0%;
	opacity: 0.25;
}
